"use strict"
let list = []

let userNum = +prompt("Введите число");

while( Number.isInteger(userNum) === false){
   userNum = +prompt("Введите число")
}

for( let i=0; i<=userNum; i++){
   if(i % 5 === 0){
    console.log(i);
   }
}
if(userNum < 5) {
   alert("Sorry, no numbers")
} 



// Циклы нужны чтобы повторять некоторое действие нужное количество раз, больше одного

// 2. While для проверки удобно использовать
// Цикл For в котором можно использовать иттерацию - шаг удобен для выполнения дз выше

// 3. Неявный кастинг - это смена типа в результате чего-то не специально указаного нами.  "1" + 2 = 12. 2 станет тоже строкой из-за конкатенации;
//   Явный тип - String(), Boolean(); Number(); 